Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1201878 - [abrt] gftp: gftp_need_proxy(): gftp-gtk killed by SIGSEGV
Summary: [abrt] gftp: gftp_need_proxy(): gftp-gtk killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gftp
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a5f5ca3cb1c96f289838cd19f3e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-13 17:38 UTC by Bill Thielman
Modified: 2015-12-02 17:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:03:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (33.02 KB, text/plain)
2015-03-13 17:39 UTC, Bill Thielman
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-13 17:39 UTC, Bill Thielman
no flags Details
File: core_backtrace (14.62 KB, text/plain)
2015-03-13 17:39 UTC, Bill Thielman
no flags Details
File: dso_list (8.52 KB, text/plain)
2015-03-13 17:39 UTC, Bill Thielman
no flags Details
File: environ (1.34 KB, text/plain)
2015-03-13 17:39 UTC, Bill Thielman
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-13 17:39 UTC, Bill Thielman
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-13 17:39 UTC, Bill Thielman
no flags Details
File: maps (45.82 KB, text/plain)
2015-03-13 17:39 UTC, Bill Thielman
no flags Details
File: open_fds (1022 bytes, text/plain)
2015-03-13 17:39 UTC, Bill Thielman
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2015-03-13 17:39 UTC, Bill Thielman
no flags Details

Description Bill Thielman 2015-03-13 17:38:57 UTC
Description of problem:
using gFTP attempted to connect local to remote machine

Version-Release number of selected component:
gftp-2.0.19-12.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gftp-gtk
crash_function: gftp_need_proxy
executable:     /usr/bin/gftp-gtk
kernel:         3.17.4-301.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Wed 2015-03-11 10:17:12 EDT, end at Fri 2015-03-13 10:28:14 EDT. --

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 gftp_need_proxy at socket-connect.c:85
 #1 gftp_connect_server at socket-connect.c:105
 #2 rfc959_connect at rfc959.c:534
 #3 _gftpui_common_thread_callback at gftpui.c:50
 #4 _gftpui_gtk_thread_func at gtkui.c:218

Comment 1 Bill Thielman 2015-03-13 17:39:00 UTC
Created attachment 1001453 [details]
File: backtrace

Comment 2 Bill Thielman 2015-03-13 17:39:01 UTC
Created attachment 1001454 [details]
File: cgroup

Comment 3 Bill Thielman 2015-03-13 17:39:02 UTC
Created attachment 1001455 [details]
File: core_backtrace

Comment 4 Bill Thielman 2015-03-13 17:39:03 UTC
Created attachment 1001456 [details]
File: dso_list

Comment 5 Bill Thielman 2015-03-13 17:39:04 UTC
Created attachment 1001457 [details]
File: environ

Comment 6 Bill Thielman 2015-03-13 17:39:04 UTC
Created attachment 1001458 [details]
File: exploitable

Comment 7 Bill Thielman 2015-03-13 17:39:05 UTC
Created attachment 1001459 [details]
File: limits

Comment 8 Bill Thielman 2015-03-13 17:39:07 UTC
Created attachment 1001460 [details]
File: maps

Comment 9 Bill Thielman 2015-03-13 17:39:07 UTC
Created attachment 1001461 [details]
File: open_fds

Comment 10 Bill Thielman 2015-03-13 17:39:08 UTC
Created attachment 1001462 [details]
File: proc_pid_status

Comment 11 Fedora End Of Life 2015-11-04 12:58:28 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-12-02 10:03:40 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.